//This is a bunch of textures I put together to make
//a psuedo-rainbow effect.
//A little playing around made them look great.

//////////////////////////////////////////////////

//The default finish & normal for all mushrooms

#declare Shroom_Finish =
finish {
       phong 0.6
       reflection 0.1
       specular 0.5
       roughness 0.1
       ambient 0.2
       diffuse 0.8
}

#declare Shroom_Normal = normal { wrinkles scale 0.35 bump_size 0.35 }

//////////////////////////////////////////////////

//////////////////////////////////////////////////
#declare Orange_Spots_on_Red =
texture {
 pigment { leopard
           turbulence 0.2
           color_map {
            [0.0 rgb<0.6, 0.0, 0.1>]
            [0.25 rgb<0.6, 0.0, 0.1>]
            [0.3 rgb<0.8, 0.25, 0.0>]
            [0.35 rgb<0.6, 0.0, 0.1>]
            [0.45 rgb<0.9, 0.4, 0.0>]
            [0.8 rgb<0.9, 0.4, 0.0>]
            [1.0 rgb<1.0, 0.5, 0.0>]
           }
           scale 0.12
 }
 
 finish { Shroom_Finish }
 
 normal { Shroom_Normal }
}
//////////////////////////////////////////////////

//////////////////////////////////////////////////
#declare Yellow_Orange =
texture {
 pigment { hexagon rgb <0.6, 0.6, 0>, rgb <0.7, 0.35, 0.1>, rgb <0.9, 0.25, 0.1>
           turbulence 0.6
           scale 0.5
 }
 
 finish { Shroom_Finish }
 
 normal { Shroom_Normal }
}
//////////////////////////////////////////////////

////////////////////////////////////////////////
#declare Yellow_Spots_on_Green =
texture {
 pigment { quilted
           turbulence 0.3
           color_map {
            [0.25 rgb<0.85, 0.7, 0>]
            [0.5 rgb<0.1, 0.7, 0.2>]
            [0.7 rgb<0.85, 0.7, 0>]
           }
           scale 0.8
 }
 
 finish { Shroom_Finish ambient 0.08}
 
 normal { Shroom_Normal }
}
////////////////////////////////////////////////

//////////////////////////////////////////////////

#declare BGInnerPigment =
pigment {
      leopard
      turbulence 0.7
      color_map {
       [0.0 rgb<0.2, 0.6, 0.22>]
       [0.5 rgb<0.2, 0.6, 0.22>]
       [0.7 rgb<0.1, 0, 0.65>]
      }
      scale 0.4
}

#declare Blue_on_Green =
texture {
 pigment { 
  leopard
  turbulence 0.4
  pigment_map {
   [0.0 BGInnerPigment]
   [0.3 BGInnerPigment]
   [0.65 rgb<0.1, 0.0, 0.65>]
   [0.75 rgb<0.1, 0.0, 0.7>]
  }
  scale 0.08
 }

 finish { Shroom_Finish ambient 0.12}
 
 normal { Shroom_Normal }

}

//////////////////////////////////////////////////

//////////////////////////////////////////////////
#declare Blue_to_Purple =
texture {
 pigment { gradient z
           turbulence 0.45
           color_map {
            [0.0 rgb<0.2, 0.2, 0.7>]
            [0.4 rgb<0.25, 0.3, 0.8>]
            [0.7 rgb<0.35, 0.0, 0.8>]
            [0.8 rgb<0.7, 0.0, 0.85>]
           }
 }

 finish { Shroom_Finish }
 
 normal { Shroom_Normal }

}
//////////////////////////////////////////////////

//////////////////////////////////////////////////
#declare RedPurple_Spots_on_Purple =
texture {
 pigment { radial
           turbulence 0.2
           color_map {
            [0.0 rgb<0.85, 0, 0.4>]
            [0.4 rgb<0.5, 0, 0.6>]
            [0.5 rgb<0.2, 0, 0.6>]
           }
 }
 
 finish { Shroom_Finish }
 
 normal { Shroom_Normal }
}
//////////////////////////////////////////////////

//////////////////////////////////////////////////
#declare Purple_Red_Waves =
texture {
 pigment { waves
           turbulence 0.25
           color_map {
            [0.0 rgb<0.3, 0, 0.7>]
            [0.3 rgb<0.55, 0, 0.55>]
            [0.5 rgb<0.8, 0, 0.45>]
            [0.7 rgb<0.55, 0, 0.55>]
            [1.0 rgb<0.3, 0, 0.7>]
           }
           scale 0.2
 }
 
 finish { Shroom_Finish diffuse 0.6 ambient 0.15 }
 
 normal { Shroom_Normal }
}
//////////////////////////////////////////////////


//////////////////////////////////////////////////
#declare Black_Stripes_on_White =
texture {
 pigment {
  spotted
  turbulence 0.2
  pigment_map {
     //color_map {
   [0.0 rgb <0.25, 0.2, 0.25>]
   [0.35 rgb <0.3, 0.24, 0.3>]
   [0.4 bumps //rgb <1.0, 0.9, 1.0>]
        color_map {
         [0.0 rgb <1.0, 0.875, 1.0>]
         [0.8 rgb <1.0, 0.875, 1.0>]
         [0.85 rgb <0.5, 0.45, 0.5>]
         [1.0 rgb <0.4, 0.4, 0.4>]
        }
        scale 0.06
   ]
  }
  scale <0.25, 0.25, 40>
  rotate y*80
  translate x*365
 }          

 finish { Shroom_Finish
          diffuse 0.75
          ambient 0.01
 }

 normal { Shroom_Normal }

}
//////////////////////////////////////////////////


//////////////////////////////////////////////////
//The texture for the smaller species of mushrooms
//////////////////////////////////////////////////
#declare MiniMush_Texture01 =
texture {
 pigment { 
        leopard
        color_map {
         [0.0 rgb<0.55, 0.55, 0.6>]
         [0.7 rgb<0.55, 0.55, 0.6>]
         [0.7 rgb<0.3, 0.3, 0.35>]
        }
 }
 finish { Shroom_Finish
          metallic
          reflection 0.55
          phong 0.8
          ambient 0.15
          diffuse 0.8
 }
 normal { dents }
 scale 0.027
}
